Bug 187063 - audio/asmixer: Update MASTER_SITES
Summary: audio/asmixer: Update MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-25 18:10 UTC by tkato432
Modified: 2014-02-27 09:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.08 KB, patch)
2014-02-25 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-02-25 18:10:08 UTC
- Update MASTER_SITES
- Add LICENSE

Remove file:
files/patch-asmixer.c
Comment 1 Edwin Groothuis freebsd_committer 2014-02-25 18:11:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2014-02-27 09:20:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-02-27 09:20:11 UTC
Author: miwi
Date: Thu Feb 27 09:20:04 2014
New Revision: 346293
URL: http://svnweb.freebsd.org/changeset/ports/346293
QAT: https://qat.redports.org/buildarchive/r346293/

Log:
  - Update MASTER_SITES
  - Add LICENSE
  - Stage support
  
  PR:		187063

Deleted:
  head/audio/asmixer/files/
Modified:
  head/audio/asmixer/Makefile

Modified: head/audio/asmixer/Makefile
==============================================================================
--- head/audio/asmixer/Makefile	Thu Feb 27 09:18:00 2014	(r346292)
+++ head/audio/asmixer/Makefile	Thu Feb 27 09:20:04 2014	(r346293)
@@ -3,28 +3,39 @@
 
 PORTNAME=	asmixer
 PORTVERSION=	0.5
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio afterstep
-MASTER_SITES=	http://www.tigr.net/afterstep/download/asmixer/
+MASTER_SITES=	AFTERSTEP/apps/asmix/ \
+		http://tigr.net/afterstep/download/asmixer/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Mixer control for AfterStep window manager
 
-DEPRECATED=	No more public distfiles
-EXPIRATION_DATE=	2014-03-07
-
-MAN1=		${PORTNAME}.1x
-NO_STAGE=	yes
-PLIST_FILES=	bin/asmixer
+LICENSE=	GPLv2
 
 USE_XORG=	xpm x11
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-xpm \
-		--with-xpm-includes=${LOCALBASE} \
-		--with-xpm-library=${LOCALBASE}
+		--with-xpm-includes=${LOCALBASE}/include \
+		--with-xpm-library=${LOCALBASE}/lib
+
+PLIST_FILES=	bin/asmixer man/man1/asmixer.1.gz
 
-post-install:
-	${INSTALL_MAN} ${WRKSRC}/${PORTNAME}.man \
-		${MAN1PREFIX}/man/man1/${PORTNAME}.1x
+post-patch:
+.for i in asmixer.c configure autoconf/config.h.in
+	@${REINPLACE_CMD} -e \
+		's|machine/soundcard.h|sys/soundcard.h| ; \
+		 s|MACHINE_SOUNDCARD_H|SYS_SOUNDCARD_H| ; \
+		 /sys\/syslimits.h/d' ${WRKSRC}/${i}
+.endfor
+
+post-build:
+	@${LN} -sf asmixer.man ${WRKSRC}/asmixer.1
+
+do-install:
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} asmixer \
+		${STAGEDIR}${PREFIX}/bin)
+	(cd ${WRKSRC} && ${INSTALL_MAN} asmixer.1 \
+		${STAGEDIR}${MANPREFIX}/man/man1)
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"